import ListItemMixin from '../mixins/list-item';
import ListItem from '../list-item';
import Textarea from '../textarea';

var TextareaItem = {
    components: {
        Textarea: Textarea
    },
    mixins: [ListItemMixin],
    props: {
        placeHolder: {
            type: String
        },
        value: {
            type: [String, Number]
        },
        maxLenght: {
            type: Number
        },
        readonly: {
            type: Boolean
        },
        resize: {
            type: Boolean
        },
        rows: {
            type: String,
            'default': "1"
        }
    },
    methods: {
        inputHandler: function inputHandler(data) {
            this.$emit("input", data);
        }
    },
    render: function render() {
        var _this = this;

        var h = arguments[0];

        var listItemProps = {
            props: {
                title: this.title,
                required: this.required,
                rightIcon: this.$props.rightIcon,
                valuePosition: 'left',
                labelNumber: 5
            },
            on: {
                'right-icon-click': function rightIconClick() {
                    _this.$emit("right-icon-click");
                }
            }
        };
        var rightIcon = this.$slots['right-icon'] ? h(
            'div',
            { slot: 'right-icon' },
            [this.$slots['right-icon']]
        ) : null;
        return h(
            ListItem,
            listItemProps,
            [h(Textarea, {
                slot: 'default',
                attrs: { rows: this.rows,
                    readonly: this.readonly,
                    'max-lenght': this.maxLenght,
                    'place-holder': this.placeHolder,
                    value: this.value
                },
                on: {
                    'input': this.inputHandler
                }
            }), rightIcon]
        );
    }
};
export default TextareaItem;