import './index.less';
var Textarea = {
    props: {
        placeHolder: {
            type: String
        },
        rows: {
            type: String,
            'default': "1"
        },
        value: {
            type: [String, Number]
        },
        maxLenght: {
            type: Number
        },
        readonly: {
            type: Boolean
        },
        resize: {
            type: Boolean,
            'default': true
        }
    },
    data: function data() {
        return {
            height: 'auto'
        };
    },

    methods: {
        onFocus: function onFocus() {
            this.$emit("onFocus");
        },
        onBlur: function onBlur() {
            this.$emit("onBlur");
        },
        onInput: function onInput(data) {
            if (this.resize) {
                this.height = this.$refs.Textarea.scrollHeight + "px";
            }
            this.$emit("input", this.$refs.Textarea.value);
            this.$emit("onInput");
        },
        onChange: function onChange() {
            this.$emit("onChange");
        }
    },
    computed: {
        computeStyle: function computeStyle() {
            return {
                resize: "none",
                height: this.height
            };
        }
    },
    render: function render() {
        var h = arguments[0];

        return h('textarea', {
            ref: 'Textarea',
            'class': 'sn-textarea',
            attrs: { rows: this.rows,

                placeHolder: this.placeHolder,
                maxLenght: this.maxLenght,
                readonly: this.readonly
            },
            style: this.computeStyle, domProps: {
                'value': this.value
            },
            on: {
                'focus': this.onFocus,
                'blur': this.onBlur,
                'change': this.onChange,
                'input': this.onInput
            }
        });
    }
};

export default Textarea;